Update User Profile
1 min
PUT
https://api.upstartcommerce.com/v1/user/profile
acceptstringGenerated from available response content types
x-upstart-tenantstringTenant identifier associated with the site this call is for.
bodyobjectThe request should provide the new information for the user.
200Response indicating that the user's profile updated successfully.
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
403<p>An update to this resource requires the if-match and if-unmodified-since headers to be sent in order to process the request.</p>
404The requested resource was not found in the NoChannel system.
409The request conflicts with the current state of the resource.
500Internal server error. The server encountered an unexpected condition that prevented it from fulfilling the request.
curl --request PUT \
--url https://api.upstartcommerce.com/v1/user/profile \
--header 'accept: application/json' \
--header 'x-upstart-tenant: string'